# AIBridgeList_Length Class Reference
[Classes that create a list of items.]

Create a list of bridges that can be built on a specific length. More...

`#include <ai_bridgelist.hpp>`

Inheritance diagram for AIBridgeList_Length:

## Public Member Functions

| AIBridgeList_Length (uint length)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Create a list of bridges that can be built on a specific length.

Definition at line 31 of file ai_bridgelist.hpp.

## Constructor & Destructor Documentation

AIBridgeList_Length::AIBridgeList_Length | ( | uint | length | ) |

Parameters:

  | length | The length of the bridge you want to build.

Definition at line 23 of file ai_bridgelist.cpp.

References AIAbstractList::AddItem(), AIBridge::GetMaxLength(), AIBridge::GetMinLength(), and AIBridge::IsValidBridge().

The documentation for this class was generated from the following files:

- src/ai/api/ai_bridgelist.hpp
- src/ai/api/ai_bridgelist.cpp